source: squid-ssl/trunk/fuentes/src/ssl/Makefile.in @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 23 months ago

Initial release

File size: 46.0 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17
18VPATH = @srcdir@
19am__is_gnu_make = { \
20  if test -z '$(MAKELEVEL)'; then \
21    false; \
22  elif test -n '$(MAKE_HOST)'; then \
23    true; \
24  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25    true; \
26  else \
27    false; \
28  fi; \
29}
30am__make_running_with_option = \
31  case $${target_option-} in \
32      ?) ;; \
33      *) echo "am__make_running_with_option: internal error: invalid" \
34              "target option '$${target_option-}' specified" >&2; \
35         exit 1;; \
36  esac; \
37  has_opt=no; \
38  sane_makeflags=$$MAKEFLAGS; \
39  if $(am__is_gnu_make); then \
40    sane_makeflags=$$MFLAGS; \
41  else \
42    case $$MAKEFLAGS in \
43      *\\[\ \   ]*) \
44        bs=\\; \
45        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
47    esac; \
48  fi; \
49  skip_next=no; \
50  strip_trailopt () \
51  { \
52    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53  }; \
54  for flg in $$sane_makeflags; do \
55    test $$skip_next = yes && { skip_next=no; continue; }; \
56    case $$flg in \
57      *=*|--*) continue;; \
58        -*I) strip_trailopt 'I'; skip_next=yes;; \
59      -*I?*) strip_trailopt 'I';; \
60        -*O) strip_trailopt 'O'; skip_next=yes;; \
61      -*O?*) strip_trailopt 'O';; \
62        -*l) strip_trailopt 'l'; skip_next=yes;; \
63      -*l?*) strip_trailopt 'l';; \
64      -[dEDm]) skip_next=yes;; \
65      -[JT]) skip_next=yes;; \
66    esac; \
67    case $$flg in \
68      *$$target_option*) has_opt=yes; break;; \
69    esac; \
70  done; \
71  test $$has_opt = yes
72am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74pkgdatadir = $(datadir)/@PACKAGE@
75pkgincludedir = $(includedir)/@PACKAGE@
76pkglibdir = $(libdir)/@PACKAGE@
77pkglibexecdir = $(libexecdir)/@PACKAGE@
78am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79install_sh_DATA = $(install_sh) -c -m 644
80install_sh_PROGRAM = $(install_sh) -c
81install_sh_SCRIPT = $(install_sh) -c
82INSTALL_HEADER = $(INSTALL_DATA)
83transform = $(program_transform_name)
84NORMAL_INSTALL = :
85PRE_INSTALL = :
86POST_INSTALL = :
87NORMAL_UNINSTALL = :
88PRE_UNINSTALL = :
89POST_UNINSTALL = :
90build_triplet = @build@
91host_triplet = @host@
92check_PROGRAMS =
93@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
94EXTRA_PROGRAMS = ssl_crtd$(EXEEXT)
95libexec_PROGRAMS = $(am__EXEEXT_1)
96subdir = src/ssl
97ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
98am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
99        $(top_srcdir)/acinclude/init.m4 \
100        $(top_srcdir)/acinclude/squid-util.m4 \
101        $(top_srcdir)/acinclude/compiler-flags.m4 \
102        $(top_srcdir)/acinclude/os-deps.m4 \
103        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
104        $(top_srcdir)/acinclude/pkg.m4 \
105        $(top_srcdir)/acinclude/lib-checks.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
107        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
108        $(top_srcdir)/helpers/basic_auth/modules.m4 \
109        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
122        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/modules.m4 \
124        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
126        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
130        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
134        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
135        $(top_srcdir)/helpers/log_daemon/modules.m4 \
136        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
137        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
138        $(top_srcdir)/helpers/external_acl/modules.m4 \
139        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
142        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
143        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
144        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
146        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/session/required.m4 \
148        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
149        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
150        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
151        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
152        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
154        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
155        $(top_srcdir)/configure.ac
156am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
157        $(ACLOCAL_M4)
158DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
159mkinstalldirs = $(install_sh) -d
160CONFIG_HEADER = $(top_builddir)/include/autoconf.h
161CONFIG_CLEAN_FILES =
162CONFIG_CLEAN_VPATH_FILES =
163LTLIBRARIES = $(noinst_LTLIBRARIES)
164libsslsquid_la_LIBADD =
165am_libsslsquid_la_OBJECTS = bio.lo cert_validate_message.lo \
166        context_storage.lo Config.lo ErrorDetail.lo \
167        ErrorDetailManager.lo PeerConnector.lo ServerBump.lo \
168        support.lo helper.lo
169libsslsquid_la_OBJECTS = $(am_libsslsquid_la_OBJECTS)
170AM_V_lt = $(am__v_lt_@AM_V@)
171am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
172am__v_lt_0 = --silent
173am__v_lt_1 =
174libsslutil_la_LIBADD =
175am_libsslutil_la_OBJECTS = gadgets.lo crtd_message.lo
176libsslutil_la_OBJECTS = $(am_libsslutil_la_OBJECTS)
177@USE_SSL_CRTD_TRUE@am__EXEEXT_1 = ssl_crtd$(EXEEXT)
178am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"
179PROGRAMS = $(libexec_PROGRAMS)
180am__ssl_crtd_SOURCES_DIST = ssl_crtd.cc certificate_db.cc \
181        certificate_db.h
182@USE_SSL_CRTD_TRUE@am_ssl_crtd_OBJECTS = ssl_crtd.$(OBJEXT) \
183@USE_SSL_CRTD_TRUE@     certificate_db.$(OBJEXT)
184ssl_crtd_OBJECTS = $(am_ssl_crtd_OBJECTS)
185am__DEPENDENCIES_1 =
186@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_2 = $(top_builddir)/lib/profiler/libprofiler.la
187am__DEPENDENCIES_3 = $(top_builddir)/compat/libcompat-squid.la \
188        $(am__DEPENDENCIES_2)
189@USE_SSL_CRTD_TRUE@ssl_crtd_DEPENDENCIES = libsslutil.la \
190@USE_SSL_CRTD_TRUE@     $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_3)
191AM_V_P = $(am__v_P_@AM_V@)
192am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
193am__v_P_0 = false
194am__v_P_1 = :
195AM_V_GEN = $(am__v_GEN_@AM_V@)
196am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
197am__v_GEN_0 = @echo "  GEN     " $@;
198am__v_GEN_1 =
199AM_V_at = $(am__v_at_@AM_V@)
200am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
201am__v_at_0 = @
202am__v_at_1 =
203DEFAULT_INCLUDES =
204depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
205am__depfiles_maybe = depfiles
206am__mv = mv -f
207CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
208        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
209LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
210        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
211        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
212        $(AM_CXXFLAGS) $(CXXFLAGS)
213AM_V_CXX = $(am__v_CXX_@AM_V@)
214am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
215am__v_CXX_0 = @echo "  CXX     " $@;
216am__v_CXX_1 =
217CXXLD = $(CXX)
218CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
219        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
220        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
221AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
222am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
223am__v_CXXLD_0 = @echo "  CXXLD   " $@;
224am__v_CXXLD_1 =
225COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
226        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
227LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
228        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
229        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
230        $(AM_CFLAGS) $(CFLAGS)
231AM_V_CC = $(am__v_CC_@AM_V@)
232am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
233am__v_CC_0 = @echo "  CC      " $@;
234am__v_CC_1 =
235CCLD = $(CC)
236LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
237        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
238        $(AM_LDFLAGS) $(LDFLAGS) -o $@
239AM_V_CCLD = $(am__v_CCLD_@AM_V@)
240am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
241am__v_CCLD_0 = @echo "  CCLD    " $@;
242am__v_CCLD_1 =
243SOURCES = $(libsslsquid_la_SOURCES) $(libsslutil_la_SOURCES) \
244        $(ssl_crtd_SOURCES)
245DIST_SOURCES = $(libsslsquid_la_SOURCES) $(libsslutil_la_SOURCES) \
246        $(am__ssl_crtd_SOURCES_DIST)
247am__can_run_installinfo = \
248  case $$AM_UPDATE_INFO_DIR in \
249    n|no|NO) false;; \
250    *) (install-info --version) >/dev/null 2>&1;; \
251  esac
252am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
253am__vpath_adj = case $$p in \
254    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
255    *) f=$$p;; \
256  esac;
257am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
258am__install_max = 40
259am__nobase_strip_setup = \
260  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
261am__nobase_strip = \
262  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
263am__nobase_list = $(am__nobase_strip_setup); \
264  for p in $$list; do echo "$$p $$p"; done | \
265  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
266  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
267    if (++n[$$2] == $(am__install_max)) \
268      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
269    END { for (dir in files) print dir, files[dir] }'
270am__base_list = \
271  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
272  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
273am__uninstall_files_from_dir = { \
274  test -z "$$files" \
275    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
276    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
277         $(am__cd) "$$dir" && rm -f $$files; }; \
278  }
279man8dir = $(mandir)/man8
280NROFF = nroff
281MANS = $(man_MANS)
282am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
283# Read a list of newline-separated strings from the standard input,
284# and print each of them once, without duplicates.  Input order is
285# *not* preserved.
286am__uniquify_input = $(AWK) '\
287  BEGIN { nonempty = 0; } \
288  { items[$$0] = 1; nonempty = 1; } \
289  END { if (nonempty) { for (i in items) print i; }; } \
290'
291# Make sure the list of sources is unique.  This is necessary because,
292# e.g., the same source file might be shared among _SOURCES variables
293# for different programs/libraries.
294am__define_uniq_tagged_files = \
295  list='$(am__tagged_files)'; \
296  unique=`for i in $$list; do \
297    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
298  done | $(am__uniquify_input)`
299ETAGS = etags
300CTAGS = ctags
301am__tty_colors_dummy = \
302  mgn= red= grn= lgn= blu= brg= std=; \
303  am__color_tests=no
304am__tty_colors = { \
305  $(am__tty_colors_dummy); \
306  if test "X$(AM_COLOR_TESTS)" = Xno; then \
307    am__color_tests=no; \
308  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
309    am__color_tests=yes; \
310  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
311    am__color_tests=yes; \
312  fi; \
313  if test $$am__color_tests = yes; then \
314    red='[0;31m'; \
315    grn='[0;32m'; \
316    lgn='[1;32m'; \
317    blu='[1;34m'; \
318    mgn='[0;35m'; \
319    brg='[1m'; \
320    std='[m'; \
321  fi; \
322}
323am__recheck_rx = ^[     ]*:recheck:[    ]*
324am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
325am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
326# A command that, given a newline-separated list of test names on the
327# standard input, print the name of the tests that are to be re-run
328# upon "make recheck".
329am__list_recheck_tests = $(AWK) '{ \
330  recheck = 1; \
331  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
332    { \
333      if (rc < 0) \
334        { \
335          if ((getline line2 < ($$0 ".log")) < 0) \
336            recheck = 0; \
337          break; \
338        } \
339      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
340        { \
341          recheck = 0; \
342          break; \
343        } \
344      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
345        { \
346          break; \
347        } \
348    }; \
349  if (recheck) \
350    print $$0; \
351  close ($$0 ".trs"); \
352  close ($$0 ".log"); \
353}'
354# A command that, given a newline-separated list of test names on the
355# standard input, create the global log from their .trs and .log files.
356am__create_global_log = $(AWK) ' \
357function fatal(msg) \
358{ \
359  print "fatal: making $@: " msg | "cat >&2"; \
360  exit 1; \
361} \
362function rst_section(header) \
363{ \
364  print header; \
365  len = length(header); \
366  for (i = 1; i <= len; i = i + 1) \
367    printf "="; \
368  printf "\n\n"; \
369} \
370{ \
371  copy_in_global_log = 1; \
372  global_test_result = "RUN"; \
373  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
374    { \
375      if (rc < 0) \
376         fatal("failed to read from " $$0 ".trs"); \
377      if (line ~ /$(am__global_test_result_rx)/) \
378        { \
379          sub("$(am__global_test_result_rx)", "", line); \
380          sub("[        ]*$$", "", line); \
381          global_test_result = line; \
382        } \
383      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
384        copy_in_global_log = 0; \
385    }; \
386  if (copy_in_global_log) \
387    { \
388      rst_section(global_test_result ": " $$0); \
389      while ((rc = (getline line < ($$0 ".log"))) != 0) \
390      { \
391        if (rc < 0) \
392          fatal("failed to read from " $$0 ".log"); \
393        print line; \
394      }; \
395      printf "\n"; \
396    }; \
397  close ($$0 ".trs"); \
398  close ($$0 ".log"); \
399}'
400# Restructured Text title.
401am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
402# Solaris 10 'make', and several other traditional 'make' implementations,
403# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
404# by disabling -e (using the XSI extension "set +e") if it's set.
405am__sh_e_setup = case $$- in *e*) set +e;; esac
406# Default flags passed to test drivers.
407am__common_driver_flags = \
408  --color-tests "$$am__color_tests" \
409  --enable-hard-errors "$$am__enable_hard_errors" \
410  --expect-failure "$$am__expect_failure"
411# To be inserted before the command running the test.  Creates the
412# directory for the log if needed.  Stores in $dir the directory
413# containing $f, in $tst the test, in $log the log.  Executes the
414# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
415# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
416# will run the test scripts (or their associated LOG_COMPILER, if
417# thy have one).
418am__check_pre = \
419$(am__sh_e_setup);                                      \
420$(am__vpath_adj_setup) $(am__vpath_adj)                 \
421$(am__tty_colors);                                      \
422srcdir=$(srcdir); export srcdir;                        \
423case "$@" in                                            \
424  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
425    *) am__odir=.;;                                     \
426esac;                                                   \
427test "x$$am__odir" = x"." || test -d "$$am__odir"       \
428  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
429if test -f "./$$f"; then dir=./;                        \
430elif test -f "$$f"; then dir=;                          \
431else dir="$(srcdir)/"; fi;                              \
432tst=$$dir$$f; log='$@';                                 \
433if test -n '$(DISABLE_HARD_ERRORS)'; then               \
434  am__enable_hard_errors=no;                            \
435else                                                    \
436  am__enable_hard_errors=yes;                           \
437fi;                                                     \
438case " $(XFAIL_TESTS) " in                              \
439  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
440    am__expect_failure=yes;;                            \
441  *)                                                    \
442    am__expect_failure=no;;                             \
443esac;                                                   \
444$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
445# A shell command to get the names of the tests scripts with any registered
446# extension removed (i.e., equivalently, the names of the test logs, with
447# the '.log' extension removed).  The result is saved in the shell variable
448# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
449# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
450# since that might cause problem with VPATH rewrites for suffix-less tests.
451# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
452am__set_TESTS_bases = \
453  bases='$(TEST_LOGS)'; \
454  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
455  bases=`echo $$bases`
456RECHECK_LOGS = $(TEST_LOGS)
457AM_RECURSIVE_TARGETS = check recheck
458TEST_SUITE_LOG = test-suite.log
459TEST_EXTENSIONS = @EXEEXT@ .test
460LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
461LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
462am__set_b = \
463  case '$@' in \
464    */*) \
465      case '$*' in \
466        */*) b='$*';; \
467          *) b=`echo '$@' | sed 's/\.log$$//'`; \
468       esac;; \
469    *) \
470      b='$*';; \
471  esac
472am__test_logs1 = $(TESTS:=.log)
473am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
474TEST_LOGS = $(am__test_logs2:.test.log=.log)
475TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
476TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
477        $(TEST_LOG_FLAGS)
478am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
479        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
480        $(top_srcdir)/src/TestHeaders.am
481DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
482ACLOCAL = @ACLOCAL@
483ADAPTATION_LIBS = @ADAPTATION_LIBS@
484ALLOCA = @ALLOCA@
485AMTAR = @AMTAR@
486AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
487AR = @AR@
488AR_R = @AR_R@
489AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
490AUTH_MODULES = @AUTH_MODULES@
491AUTOCONF = @AUTOCONF@
492AUTOHEADER = @AUTOHEADER@
493AUTOMAKE = @AUTOMAKE@
494AWK = @AWK@
495BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
496BUILDCXX = @BUILDCXX@
497BUILDCXXFLAGS = @BUILDCXXFLAGS@
498BZR = @BZR@
499CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
500CC = @CC@
501CCDEPMODE = @CCDEPMODE@
502CFLAGS = @CFLAGS@
503CGIEXT = @CGIEXT@
504CHMOD = @CHMOD@
505CPP = @CPP@
506CPPFLAGS = @CPPFLAGS@
507CPPUNITCONFIG = @CPPUNITCONFIG@
508CRYPTLIB = @CRYPTLIB@
509CXX = @CXX@
510CXXCPP = @CXXCPP@
511CXXDEPMODE = @CXXDEPMODE@
512CXXFLAGS = @CXXFLAGS@
513CYGPATH_W = @CYGPATH_W@
514DEFAULT_HOSTS = @DEFAULT_HOSTS@
515DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
516DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
517DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
518DEFS = @DEFS@
519DEPDIR = @DEPDIR@
520DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
521DISK_LIBS = @DISK_LIBS@
522DISK_LINKOBJS = @DISK_LINKOBJS@
523DISK_MODULES = @DISK_MODULES@
524DISK_OS_LIBS = @DISK_OS_LIBS@
525DISK_PROGRAMS = @DISK_PROGRAMS@
526DLLTOOL = @DLLTOOL@
527DSYMUTIL = @DSYMUTIL@
528DUMPBIN = @DUMPBIN@
529ECAP_LIBS = @ECAP_LIBS@
530ECHO_C = @ECHO_C@
531ECHO_N = @ECHO_N@
532ECHO_T = @ECHO_T@
533EGREP = @EGREP@
534EPOLL_LIBS = @EPOLL_LIBS@
535EUILIB = @EUILIB@
536EXEEXT = @EXEEXT@
537EXPATLIB = @EXPATLIB@
538EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
539EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
540EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
541FALSE = @FALSE@
542FGREP = @FGREP@
543GREP = @GREP@
544HAVE_CXX11 = @HAVE_CXX11@
545ICAP_LIBS = @ICAP_LIBS@
546INCLTDL = @INCLTDL@
547INSTALL = @INSTALL@
548INSTALL_DATA = @INSTALL_DATA@
549INSTALL_PROGRAM = @INSTALL_PROGRAM@
550INSTALL_SCRIPT = @INSTALL_SCRIPT@
551INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
552KRB5INCS = @KRB5INCS@
553KRB5LIBS = @KRB5LIBS@
554LBERLIB = @LBERLIB@
555LD = @LD@
556LDAPLIB = @LDAPLIB@
557LDFLAGS = @LDFLAGS@
558LIBADD_DL = @LIBADD_DL@
559LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
560LIBADD_DLOPEN = @LIBADD_DLOPEN@
561LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
562LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
563LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
564LIBLTDL = @LIBLTDL@
565LIBOBJS = @LIBOBJS@
566LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
567LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
568LIBS = @LIBS@
569LIBSASL = @LIBSASL@
570LIBTOOL = @LIBTOOL@
571LIB_DB = @LIB_DB@
572LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
573LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
574LINUXDOC = @LINUXDOC@
575LIPO = @LIPO@
576LN = @LN@
577LN_S = @LN_S@
578LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
579LTDLDEPS = @LTDLDEPS@
580LTDLINCL = @LTDLINCL@
581LTDLOPEN = @LTDLOPEN@
582LTLIBOBJS = @LTLIBOBJS@
583LT_ARGZ_H = @LT_ARGZ_H@
584LT_CONFIG_H = @LT_CONFIG_H@
585LT_DLLOADERS = @LT_DLLOADERS@
586LT_DLPREOPEN = @LT_DLPREOPEN@
587LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
588MAINT = @MAINT@
589MAKEINFO = @MAKEINFO@
590MANIFEST_TOOL = @MANIFEST_TOOL@
591MINGW_LIBS = @MINGW_LIBS@
592MKDIR = @MKDIR@
593MKDIR_P = @MKDIR_P@
594MV = @MV@
595NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
596NETTLELIB = @NETTLELIB@
597NM = @NM@
598NMEDIT = @NMEDIT@
599NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
600OBJDUMP = @OBJDUMP@
601OBJEXT = @OBJEXT@
602OTOOL = @OTOOL@
603OTOOL64 = @OTOOL64@
604PACKAGE = @PACKAGE@
605PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
606PACKAGE_NAME = @PACKAGE_NAME@
607PACKAGE_STRING = @PACKAGE_STRING@
608PACKAGE_TARNAME = @PACKAGE_TARNAME@
609PACKAGE_URL = @PACKAGE_URL@
610PACKAGE_VERSION = @PACKAGE_VERSION@
611PATH_SEPARATOR = @PATH_SEPARATOR@
612PERL = @PERL@
613PKG_CONFIG = @PKG_CONFIG@
614PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
615PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
616PO2HTML = @PO2HTML@
617PO2TEXT = @PO2TEXT@
618POD2MAN = @POD2MAN@
619RANLIB = @RANLIB@
620REGEXLIB = @REGEXLIB@
621REPL_LIBS = @REPL_LIBS@
622REPL_OBJS = @REPL_OBJS@
623REPL_POLICIES = @REPL_POLICIES@
624RM = @RM@
625SED = @SED@
626SET_MAKE = @SET_MAKE@
627SH = @SH@
628SHELL = @SHELL@
629SMBCLIENT = @SMBCLIENT@
630SNMPLIB = @SNMPLIB@
631SQUID_CFLAGS = @SQUID_CFLAGS@
632SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
633SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
634SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
635SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
636SSLLIB = @SSLLIB@
637STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
638STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
639STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
640STORE_TESTS = @STORE_TESTS@
641STRIP = @STRIP@
642TR = @TR@
643TRUE = @TRUE@
644URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
645VERSION = @VERSION@
646WBINFO = @WBINFO@
647WIN32_PSAPI = @WIN32_PSAPI@
648XMLLIB = @XMLLIB@
649XTRA_LIBS = @XTRA_LIBS@
650XTRA_OBJS = @XTRA_OBJS@
651abs_builddir = @abs_builddir@
652abs_srcdir = @abs_srcdir@
653abs_top_builddir = @abs_top_builddir@
654abs_top_srcdir = @abs_top_srcdir@
655ac_ct_AR = @ac_ct_AR@
656ac_ct_CC = @ac_ct_CC@
657ac_ct_CXX = @ac_ct_CXX@
658ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
659am__include = @am__include@
660am__leading_dot = @am__leading_dot@
661am__quote = @am__quote@
662am__tar = @am__tar@
663am__untar = @am__untar@
664bindir = @bindir@
665build = @build@
666build_alias = @build_alias@
667build_cpu = @build_cpu@
668build_os = @build_os@
669build_vendor = @build_vendor@
670builddir = @builddir@
671datadir = @datadir@
672datarootdir = @datarootdir@
673docdir = @docdir@
674dvidir = @dvidir@
675exec_prefix = @exec_prefix@
676host = @host@
677host_alias = @host_alias@
678host_cpu = @host_cpu@
679host_os = @host_os@
680host_vendor = @host_vendor@
681htmldir = @htmldir@
682includedir = @includedir@
683infodir = @infodir@
684install_sh = @install_sh@
685krb5_config = @krb5_config@
686libdir = @libdir@
687libexecdir = @libexecdir@
688localedir = @localedir@
689localstatedir = @localstatedir@
690ltdl_LIBOBJS = @ltdl_LIBOBJS@
691ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
692mandir = @mandir@
693mkdir_p = @mkdir_p@
694oldincludedir = @oldincludedir@
695pdfdir = @pdfdir@
696prefix = @prefix@
697program_transform_name = @program_transform_name@
698psdir = @psdir@
699runstatedir = @runstatedir@
700sbindir = @sbindir@
701sharedstatedir = @sharedstatedir@
702srcdir = @srcdir@
703subdirs = @subdirs@
704sys_symbol_underscore = @sys_symbol_underscore@
705sysconfdir = @sysconfdir@
706target_alias = @target_alias@
707top_build_prefix = @top_build_prefix@
708top_builddir = @top_builddir@
709top_srcdir = @top_srcdir@
710AM_CFLAGS = $(SQUID_CFLAGS)
711AM_CXXFLAGS = $(SQUID_CXXFLAGS)
712CLEANFILES = testHeaders
713TESTS = testHeaders
714AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
715        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
716        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
717        $(am__append_1)
718@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
719@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
720COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
721subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
722noinst_LTLIBRARIES = libsslsquid.la libsslutil.la
723EXTRA_DIST = \
724        ssl_crtd.8
725
726@USE_SSL_CRTD_FALSE@SSL_CRTD =
727@USE_SSL_CRTD_TRUE@SSL_CRTD = ssl_crtd
728@USE_SSL_CRTD_TRUE@man_MANS = ssl_crtd.8
729libsslsquid_la_SOURCES = \
730        bio.cc \
731        bio.h \
732        cert_validate_message.cc \
733        cert_validate_message.h \
734        context_storage.cc \
735        context_storage.h \
736        Config.cc \
737        Config.h \
738        ErrorDetail.cc \
739        ErrorDetail.h \
740        ErrorDetailManager.cc \
741        ErrorDetailManager.h \
742        PeerConnector.cc \
743        PeerConnector.h \
744        ProxyCerts.h \
745        ServerBump.cc \
746        ServerBump.h \
747        support.cc \
748        support.h \
749        helper.cc \
750        helper.h
751
752libsslutil_la_SOURCES = \
753        gadgets.cc \
754        gadgets.h \
755        crtd_message.cc \
756        crtd_message.h
757
758@USE_SSL_CRTD_TRUE@ssl_crtd_SOURCES = ssl_crtd.cc certificate_db.cc certificate_db.h
759@USE_SSL_CRTD_TRUE@ssl_crtd_LDADD = libsslutil.la $(SSLLIB) $(COMPAT_LIB)
760all: all-am
761
762.SUFFIXES:
763.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
764$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__configure_deps)
765        @for dep in $?; do \
766          case '$(am__configure_deps)' in \
767            *$$dep*) \
768              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
769                && { if test -f $@; then exit 0; else break; fi; }; \
770              exit 1;; \
771          esac; \
772        done; \
773        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/ssl/Makefile'; \
774        $(am__cd) $(top_srcdir) && \
775          $(AUTOMAKE) --gnu src/ssl/Makefile
776Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
777        @case '$?' in \
778          *config.status*) \
779            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
780          *) \
781            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
782            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
783        esac;
784$(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__empty):
785
786$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
787        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
788
789$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
790        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
791$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
792        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
793$(am__aclocal_m4_deps):
794
795clean-noinstLTLIBRARIES:
796        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
797        @list='$(noinst_LTLIBRARIES)'; \
798        locs=`for p in $$list; do echo $$p; done | \
799              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
800              sort -u`; \
801        test -z "$$locs" || { \
802          echo rm -f $${locs}; \
803          rm -f $${locs}; \
804        }
805
806libsslsquid.la: $(libsslsquid_la_OBJECTS) $(libsslsquid_la_DEPENDENCIES) $(EXTRA_libsslsquid_la_DEPENDENCIES)
807        $(AM_V_CXXLD)$(CXXLINK)  $(libsslsquid_la_OBJECTS) $(libsslsquid_la_LIBADD) $(LIBS)
808
809libsslutil.la: $(libsslutil_la_OBJECTS) $(libsslutil_la_DEPENDENCIES) $(EXTRA_libsslutil_la_DEPENDENCIES)
810        $(AM_V_CXXLD)$(CXXLINK)  $(libsslutil_la_OBJECTS) $(libsslutil_la_LIBADD) $(LIBS)
811
812clean-checkPROGRAMS:
813        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
814        echo " rm -f" $$list; \
815        rm -f $$list || exit $$?; \
816        test -n "$(EXEEXT)" || exit 0; \
817        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
818        echo " rm -f" $$list; \
819        rm -f $$list
820install-libexecPROGRAMS: $(libexec_PROGRAMS)
821        @$(NORMAL_INSTALL)
822        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
823        if test -n "$$list"; then \
824          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
825          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
826        fi; \
827        for p in $$list; do echo "$$p $$p"; done | \
828        sed 's/$(EXEEXT)$$//' | \
829        while read p p1; do if test -f $$p \
830         || test -f $$p1 \
831          ; then echo "$$p"; echo "$$p"; else :; fi; \
832        done | \
833        sed -e 'p;s,.*/,,;n;h' \
834            -e 's|.*|.|' \
835            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
836        sed 'N;N;N;s,\n, ,g' | \
837        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
838          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
839            if ($$2 == $$4) files[d] = files[d] " " $$1; \
840            else { print "f", $$3 "/" $$4, $$1; } } \
841          END { for (d in files) print "f", d, files[d] }' | \
842        while read type dir files; do \
843            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
844            test -z "$$files" || { \
845            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
846            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
847            } \
848        ; done
849
850uninstall-libexecPROGRAMS:
851        @$(NORMAL_UNINSTALL)
852        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
853        files=`for p in $$list; do echo "$$p"; done | \
854          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
855              -e 's/$$/$(EXEEXT)/' \
856        `; \
857        test -n "$$list" || exit 0; \
858        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
859        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
860
861clean-libexecPROGRAMS:
862        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
863        echo " rm -f" $$list; \
864        rm -f $$list || exit $$?; \
865        test -n "$(EXEEXT)" || exit 0; \
866        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
867        echo " rm -f" $$list; \
868        rm -f $$list
869
870ssl_crtd$(EXEEXT): $(ssl_crtd_OBJECTS) $(ssl_crtd_DEPENDENCIES) $(EXTRA_ssl_crtd_DEPENDENCIES)
871        @rm -f ssl_crtd$(EXEEXT)
872        $(AM_V_CXXLD)$(CXXLINK) $(ssl_crtd_OBJECTS) $(ssl_crtd_LDADD) $(LIBS)
873
874mostlyclean-compile:
875        -rm -f *.$(OBJEXT)
876
877distclean-compile:
878        -rm -f *.tab.c
879
880@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Config.Plo@am__quote@
881@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ErrorDetail.Plo@am__quote@
882@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ErrorDetailManager.Plo@am__quote@
883@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/PeerConnector.Plo@am__quote@
884@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ServerBump.Plo@am__quote@
885@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bio.Plo@am__quote@
886@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cert_validate_message.Plo@am__quote@
887@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/certificate_db.Po@am__quote@
888@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/context_storage.Plo@am__quote@
889@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/crtd_message.Plo@am__quote@
890@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gadgets.Plo@am__quote@
891@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/helper.Plo@am__quote@
892@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ssl_crtd.Po@am__quote@
893@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/support.Plo@am__quote@
894
895.cc.o:
896@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
897@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
898@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
899@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
900@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
901@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
902
903.cc.obj:
904@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
905@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
906@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
907@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
908@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
909@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
910
911.cc.lo:
912@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
913@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
914@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
915@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
916@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
917@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
918
919mostlyclean-libtool:
920        -rm -f *.lo
921
922clean-libtool:
923        -rm -rf .libs _libs
924install-man8: $(man_MANS)
925        @$(NORMAL_INSTALL)
926        @list1=''; \
927        list2='$(man_MANS)'; \
928        test -n "$(man8dir)" \
929          && test -n "`echo $$list1$$list2`" \
930          || exit 0; \
931        echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
932        $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
933        { for i in $$list1; do echo "$$i"; done;  \
934        if test -n "$$list2"; then \
935          for i in $$list2; do echo "$$i"; done \
936            | sed -n '/\.8[a-z]*$$/p'; \
937        fi; \
938        } | while read p; do \
939          if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
940          echo "$$d$$p"; echo "$$p"; \
941        done | \
942        sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
943              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
944        sed 'N;N;s,\n, ,g' | { \
945        list=; while read file base inst; do \
946          if test "$$base" = "$$inst"; then list="$$list $$file"; else \
947            echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
948            $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
949          fi; \
950        done; \
951        for i in $$list; do echo "$$i"; done | $(am__base_list) | \
952        while read files; do \
953          test -z "$$files" || { \
954            echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
955            $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
956        done; }
957
958uninstall-man8:
959        @$(NORMAL_UNINSTALL)
960        @list=''; test -n "$(man8dir)" || exit 0; \
961        files=`{ for i in $$list; do echo "$$i"; done; \
962        l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
963          sed -n '/\.8[a-z]*$$/p'; \
964        } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
965              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
966        dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
967
968ID: $(am__tagged_files)
969        $(am__define_uniq_tagged_files); mkid -fID $$unique
970tags: tags-am
971TAGS: tags
972
973tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
974        set x; \
975        here=`pwd`; \
976        $(am__define_uniq_tagged_files); \
977        shift; \
978        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
979          test -n "$$unique" || unique=$$empty_fix; \
980          if test $$# -gt 0; then \
981            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
982              "$$@" $$unique; \
983          else \
984            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
985              $$unique; \
986          fi; \
987        fi
988ctags: ctags-am
989
990CTAGS: ctags
991ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
992        $(am__define_uniq_tagged_files); \
993        test -z "$(CTAGS_ARGS)$$unique" \
994          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
995             $$unique
996
997GTAGS:
998        here=`$(am__cd) $(top_builddir) && pwd` \
999          && $(am__cd) $(top_srcdir) \
1000          && gtags -i $(GTAGS_ARGS) "$$here"
1001cscopelist: cscopelist-am
1002
1003cscopelist-am: $(am__tagged_files)
1004        list='$(am__tagged_files)'; \
1005        case "$(srcdir)" in \
1006          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1007          *) sdir=$(subdir)/$(srcdir) ;; \
1008        esac; \
1009        for i in $$list; do \
1010          if test -f "$$i"; then \
1011            echo "$(subdir)/$$i"; \
1012          else \
1013            echo "$$sdir/$$i"; \
1014          fi; \
1015        done >> $(top_builddir)/cscope.files
1016
1017distclean-tags:
1018        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1019
1020# Recover from deleted '.trs' file; this should ensure that
1021# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1022# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
1023# to avoid problems with "make -n".
1024.log.trs:
1025        rm -f $< $@
1026        $(MAKE) $(AM_MAKEFLAGS) $<
1027
1028# Leading 'am--fnord' is there to ensure the list of targets does not
1029# expand to empty, as could happen e.g. with make check TESTS=''.
1030am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1031am--force-recheck:
1032        @:
1033
1034$(TEST_SUITE_LOG): $(TEST_LOGS)
1035        @$(am__set_TESTS_bases); \
1036        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1037        redo_bases=`for i in $$bases; do \
1038                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1039                    done`; \
1040        if test -n "$$redo_bases"; then \
1041          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1042          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1043          if $(am__make_dryrun); then :; else \
1044            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1045          fi; \
1046        fi; \
1047        if test -n "$$am__remaking_logs"; then \
1048          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1049               "recursion detected" >&2; \
1050        elif test -n "$$redo_logs"; then \
1051          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1052        fi; \
1053        if $(am__make_dryrun); then :; else \
1054          st=0;  \
1055          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1056          for i in $$redo_bases; do \
1057            test -f $$i.trs && test -r $$i.trs \
1058              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1059            test -f $$i.log && test -r $$i.log \
1060              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1061          done; \
1062          test $$st -eq 0 || exit 1; \
1063        fi
1064        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1065        ws='[   ]'; \
1066        results=`for b in $$bases; do echo $$b.trs; done`; \
1067        test -n "$$results" || results=/dev/null; \
1068        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1069        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1070        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1071        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1072        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1073        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1074        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1075        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1076          success=true; \
1077        else \
1078          success=false; \
1079        fi; \
1080        br='==================='; br=$$br$$br$$br$$br; \
1081        result_count () \
1082        { \
1083            if test x"$$1" = x"--maybe-color"; then \
1084              maybe_colorize=yes; \
1085            elif test x"$$1" = x"--no-color"; then \
1086              maybe_colorize=no; \
1087            else \
1088              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1089            fi; \
1090            shift; \
1091            desc=$$1 count=$$2; \
1092            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1093              color_start=$$3 color_end=$$std; \
1094            else \
1095              color_start= color_end=; \
1096            fi; \
1097            echo "$${color_start}# $$desc $$count$${color_end}"; \
1098        }; \
1099        create_testsuite_report () \
1100        { \
1101          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1102          result_count $$1 "PASS: " $$pass  "$$grn"; \
1103          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1104          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1105          result_count $$1 "FAIL: " $$fail  "$$red"; \
1106          result_count $$1 "XPASS:" $$xpass "$$red"; \
1107          result_count $$1 "ERROR:" $$error "$$mgn"; \
1108        }; \
1109        {                                                               \
1110          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1111            $(am__rst_title);                                           \
1112          create_testsuite_report --no-color;                           \
1113          echo;                                                         \
1114          echo ".. contents:: :depth: 2";                               \
1115          echo;                                                         \
1116          for b in $$bases; do echo $$b; done                           \
1117            | $(am__create_global_log);                                 \
1118        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1119        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1120        if $$success; then                                              \
1121          col="$$grn";                                                  \
1122         else                                                           \
1123          col="$$red";                                                  \
1124          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1125        fi;                                                             \
1126        echo "$${col}$$br$${std}";                                      \
1127        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1128        echo "$${col}$$br$${std}";                                      \
1129        create_testsuite_report --maybe-color;                          \
1130        echo "$$col$$br$$std";                                          \
1131        if $$success; then :; else                                      \
1132          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1133          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1134            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1135          fi;                                                           \
1136          echo "$$col$$br$$std";                                        \
1137        fi;                                                             \
1138        $$success || exit 1
1139
1140check-TESTS:
1141        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1142        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1143        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1144        @set +e; $(am__set_TESTS_bases); \
1145        log_list=`for i in $$bases; do echo $$i.log; done`; \
1146        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1147        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1148        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1149        exit $$?;
1150recheck: all $(check_PROGRAMS)
1151        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1152        @set +e; $(am__set_TESTS_bases); \
1153        bases=`for i in $$bases; do echo $$i; done \
1154                 | $(am__list_recheck_tests)` || exit 1; \
1155        log_list=`for i in $$bases; do echo $$i.log; done`; \
1156        log_list=`echo $$log_list`; \
1157        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1158                am__force_recheck=am--force-recheck \
1159                TEST_LOGS="$$log_list"; \
1160        exit $$?
1161testHeaders.log: testHeaders
1162        @p='testHeaders'; \
1163        b='testHeaders'; \
1164        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1165        --log-file $$b.log --trs-file $$b.trs \
1166        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1167        "$$tst" $(AM_TESTS_FD_REDIRECT)
1168.test.log:
1169        @p='$<'; \
1170        $(am__set_b); \
1171        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1172        --log-file $$b.log --trs-file $$b.trs \
1173        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1174        "$$tst" $(AM_TESTS_FD_REDIRECT)
1175@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1176@am__EXEEXT_TRUE@       @p='$<'; \
1177@am__EXEEXT_TRUE@       $(am__set_b); \
1178@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1179@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1180@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1181@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1182
1183distdir: $(DISTFILES)
1184        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1185        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1186        list='$(DISTFILES)'; \
1187          dist_files=`for file in $$list; do echo $$file; done | \
1188          sed -e "s|^$$srcdirstrip/||;t" \
1189              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1190        case $$dist_files in \
1191          */*) $(MKDIR_P) `echo "$$dist_files" | \
1192                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1193                           sort -u` ;; \
1194        esac; \
1195        for file in $$dist_files; do \
1196          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1197          if test -d $$d/$$file; then \
1198            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1199            if test -d "$(distdir)/$$file"; then \
1200              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1201            fi; \
1202            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1203              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1204              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1205            fi; \
1206            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1207          else \
1208            test -f "$(distdir)/$$file" \
1209            || cp -p $$d/$$file "$(distdir)/$$file" \
1210            || exit 1; \
1211          fi; \
1212        done
1213check-am: all-am
1214        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1215        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1216check: check-am
1217all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(MANS)
1218installdirs:
1219        for dir in "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"; do \
1220          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1221        done
1222install: install-am
1223install-exec: install-exec-am
1224install-data: install-data-am
1225uninstall: uninstall-am
1226
1227install-am: all-am
1228        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1229
1230installcheck: installcheck-am
1231install-strip:
1232        if test -z '$(STRIP)'; then \
1233          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1234            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1235              install; \
1236        else \
1237          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1238            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1239            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1240        fi
1241mostlyclean-generic:
1242        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1243        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1244        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1245
1246clean-generic:
1247        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1248
1249distclean-generic:
1250        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1251        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1252
1253maintainer-clean-generic:
1254        @echo "This command is intended for maintainers to use"
1255        @echo "it deletes files that may require special tools to rebuild."
1256clean: clean-am
1257
1258clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1259        clean-libtool clean-noinstLTLIBRARIES mostlyclean-am
1260
1261distclean: distclean-am
1262        -rm -rf ./$(DEPDIR)
1263        -rm -f Makefile
1264distclean-am: clean-am distclean-compile distclean-generic \
1265        distclean-tags
1266
1267dvi: dvi-am
1268
1269dvi-am:
1270
1271html: html-am
1272
1273html-am:
1274
1275info: info-am
1276
1277info-am:
1278
1279install-data-am: install-man
1280
1281install-dvi: install-dvi-am
1282
1283install-dvi-am:
1284
1285install-exec-am: install-libexecPROGRAMS
1286
1287install-html: install-html-am
1288
1289install-html-am:
1290
1291install-info: install-info-am
1292
1293install-info-am:
1294
1295install-man: install-man8
1296
1297install-pdf: install-pdf-am
1298
1299install-pdf-am:
1300
1301install-ps: install-ps-am
1302
1303install-ps-am:
1304
1305installcheck-am:
1306
1307maintainer-clean: maintainer-clean-am
1308        -rm -rf ./$(DEPDIR)
1309        -rm -f Makefile
1310maintainer-clean-am: distclean-am maintainer-clean-generic
1311
1312mostlyclean: mostlyclean-am
1313
1314mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1315        mostlyclean-libtool
1316
1317pdf: pdf-am
1318
1319pdf-am:
1320
1321ps: ps-am
1322
1323ps-am:
1324
1325uninstall-am: uninstall-libexecPROGRAMS uninstall-man
1326
1327uninstall-man: uninstall-man8
1328
1329.MAKE: check-am install-am install-strip
1330
1331.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1332        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1333        clean-libtool clean-noinstLTLIBRARIES cscopelist-am ctags \
1334        ctags-am distclean distclean-compile distclean-generic \
1335        distclean-libtool distclean-tags distdir dvi dvi-am html \
1336        html-am info info-am install install-am install-data \
1337        install-data-am install-dvi install-dvi-am install-exec \
1338        install-exec-am install-html install-html-am install-info \
1339        install-info-am install-libexecPROGRAMS install-man \
1340        install-man8 install-pdf install-pdf-am install-ps \
1341        install-ps-am install-strip installcheck installcheck-am \
1342        installdirs maintainer-clean maintainer-clean-generic \
1343        mostlyclean mostlyclean-compile mostlyclean-generic \
1344        mostlyclean-libtool pdf pdf-am ps ps-am recheck tags tags-am \
1345        uninstall uninstall-am uninstall-libexecPROGRAMS uninstall-man \
1346        uninstall-man8
1347
1348.PRECIOUS: Makefile
1349
1350
1351$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1352
1353testHeaders: $(srcdir)/*.h
1354        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1355
1356.PHONY: testHeaders
1357
1358# Tell versions [3.59,3.63) of GNU make to not export all variables.
1359# Otherwise a system limit (for SysV at least) may be exceeded.
1360.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.